Complete instructions for installing 1.7 on Ubuntu 12.04 with Groovy?

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

Complete instructions for installing 1.7 on Ubuntu 12.04 with Groovy?

vhwanger
There are many threads out there about it, but all result in various errors (VTK causing compile errors, missing FLANN package, complaints of missing .cmake files).

The farthest I got was with this one:
http://www.pcl-users.org/PCL-1-7-Compilation-Problems-td4028868.html#a4028879

but have run into a missing FLANN package. I'm not that great with CMake, so despite building FLANN within my workspace, I can't get PCL to find the right package.

Is there a complete set of instructions somewhere on how to install PCL1.7 with Groovy?
Reply | Threaded
Open this post in threaded view
|

Re: Complete instructions for installing 1.7 on Ubuntu 12.04 with Groovy?

Jochen Sprickerhof
Administrator
Hi Victor,

* vhwanger <[hidden email]> [2013-11-09 11:01]:
> Is there a complete set of instructions somewhere on how to install PCL1.7
> with Groovy?

PCL 1.7 is part of the ROS package archive, so you should be able to
just install it.

Cheers Jochen
_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: Complete instructions for installing 1.7 on Ubuntu 12.04 with Groovy?

vhwanger
By ROS package archive, do you mean in apt-get? The version there is still 1.6.  

Thanks
Reply | Threaded
Open this post in threaded view
|

Re: Complete instructions for installing 1.7 on Ubuntu 12.04 with Groovy?

Jochen Sprickerhof
Administrator
* vhwanger <[hidden email]> [2013-11-09 13:06]:
> By ROS package archive, do you mean in apt-get? The version there is still
> 1.6.  

apt-get install libpcl-1.7-all
_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: Complete instructions for installing 1.7 on Ubuntu 12.04 with Groovy?

vhwanger
Will I be able to use 1.7 with everything else Groovy related if I install the libraries independently? What is different about ros-groovy-pcl and a vanilla version of PCL?
Reply | Threaded
Open this post in threaded view
|

Re: Complete instructions for installing 1.7 on Ubuntu 12.04 with Groovy?

Jochen Sprickerhof
Administrator
* vhwanger <[hidden email]> [2013-11-09 13:36]:
> Will I be able to use 1.7 with everything else Groovy related if I install
> the libraries independently?

As long as you are not trying to link against both versions, you should
be fine, I guess.

> What is different about ros-groovy-pcl and a vanilla version of PCL?

You need to use pcl_conversions, as in Hydro.

Cheers Jochen
_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: Complete instructions for installing 1.7 on Ubuntu 12.04 with Groovy?

Jack O'Quin

On Sat, Nov 9, 2013 at 3:51 PM, Jochen Sprickerhof <[hidden email]> wrote:
* vhwanger <[hidden email]> [2013-11-09 13:36]:
> Will I be able to use 1.7 with everything else Groovy related if I install
> the libraries independently?

As long as you are not trying to link against both versions, you should
be fine, I guess.

> What is different about ros-groovy-pcl and a vanilla version of PCL?

You need to use pcl_conversions, as in Hydro.

Yes. 

Specifically, you will need to check out the Hydro pcl_conversions source to overlay ahead of the Groovy pcl_conversions, which will not work with PCL 1.7. Be careful not to put any other Groovy code using PCL in that overlay, unless it has also been converted to use the new message interface.
--
 joq

_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users
Reply | Threaded
Open this post in threaded view
|

Re: Complete instructions for installing 1.7 on Ubuntu 12.04 with Groovy?

vhwanger
Hm...when I try and run this, I get

The following packages have unmet dependencies:
 libpcl-1.7-all : Depends: libpcl-1.7-all-dev but it is not going to be installed
                  Depends: libpcl-1.7-bin but it is not going to be installed

This is after I added the PPA (ppa:v-launchpad-jochen-sprickerhof-de/pcl) and update.
Reply | Threaded
Open this post in threaded view
|

Re: Complete instructions for installing 1.7 on Ubuntu 12.04 with Groovy?

Jochen Sprickerhof
Administrator
Hi Victor,

* vhwanger <[hidden email]> [2013-11-09 15:54]:
> This is after I added the PPA (ppa:v-launchpad-jochen-sprickerhof-de/pcl)
> and update.

No, the PPA is not compatible with ROS, it should work without the PPA.

Cheers Jochen
_______________________________________________
[hidden email] / http://pointclouds.org
http://pointclouds.org/mailman/listinfo/pcl-users